%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-pep517
Version:       0.12.0
Release:       2mamba
Summary:       Wrappers to build Python packages using PEP 517 hooks
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/pep517
Source:        https://pypi.debian.net/pep517/pep517-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(importlib-metadata)
BuildRequires: python3.7dist(tomli)
BuildRequires: python3.7dist(zipp)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pep517-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%doc LICENSE

%changelog
* Sat May 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-2mamba
- rebuilt with python 3.10 subpackage

* Fri Jan 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-1mamba
- package created using the webbuild interface
